> For the complete documentation index, see [llms.txt](https://docs.soda.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-vertica.md).

# Connect Soda to Vertica

Access configuration details to connect Soda to a Vertica data source.

> For Soda to run quality scans on your data, you must configure it to connect to your data source.\
> To learn how to set up Soda and configure it to connect to your data sources, see [Get started](/soda-documentation/soda-v3/quick-start-sip/setup-guide.md).

## Connection configuration reference

Install package: `soda-vertica`

```yaml
data_source my_datasource_name:
  type: vertica
  host: 127.0.0.1
  port: "5433"
  username: ${VERTICA_USER}
  password: ${VERTICA_PASSWORD}
  database: vmart
  schema: public
```

| Property | Required | Notes                                                                                                      |
| -------- | -------- | ---------------------------------------------------------------------------------------------------------- |
| type     | required | Identify the type of data source for Soda.                                                                 |
| host     | required | Provide a host identifier.                                                                                 |
| port     | required | Provide a port identifier.                                                                                 |
| username | required | Consider using system variables to retrieve this value securely using, for example, `${VERTICA_USER}`.     |
| password | required | Consider using system variables to retrieve this value securely using, for example, `${VERTICA_PASSWORD}`. |
| database | required | Provide an identifier for your database.                                                                   |
| schema   | required | Provide an identifier for the schema in which your dataset exists.                                         |

## Test the data source connection <a href="#test-the-data-source-connection" id="test-the-data-source-connection"></a>

To confirm that you have correctly configured the connection details for the data source(s) in your configuration YAML file, use the `test-connection` command. If you wish, add a `-V` option to the command to return results in verbose mode in the CLI.

```sh
soda test-connection -d my_datasource -c configuration.yml -V
```

## Supported data types

| Category | Data type                                                                                                                 |
| -------- | ------------------------------------------------------------------------------------------------------------------------- |
| text     | CHARACTER VARYING, CHARACTER, CHAR, TEXT                                                                                  |
| number   | SMALLINT, INTEGER, BIGINT, DECIMAL, NUMERIC, VARIABLE, REAL, DOUBLE PRECISION, SMALLSERIAL, SERIAL, BIGSERIAL             |
| time     | TIMESTAMP, DATE, TIME, TIMESTAMP WITH TIME ZONE, TIMESTAMP WITHOUT TIME ZONE, TIME WITH TIME ZONE, TIME WITHOUT TIME ZONE |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.soda.io/soda-documentation/soda-v3/data-source-reference/connect-vertica.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
